Subject: bug#12350: Composites identified as primes in factor.c (when HAVE_GMP)

From: Jim Meyering <[email-masked]>
Date: Sun, 30 Sep 2012 16:51:20 +0200

Jim Meyering wrote:
> Torbjorn Granlund wrote:
>
>> Torbjorn Granlund <[email-masked]> writes:
>>
>>   Niels and I made more changes, including some needed to silence
>>   -Wshadow.
>>
>> Change log entries can be fund in:
>>
>> http://gmplib.org:8000/factoring/file/61b4eac24ea4/ChangeLog
>
> Thanks.  Here's how I've integrated it so far.
> This is not ready to push, but rather just to give you an idea
> of what's coming.  I'm sure I'll have to adjust things before pushing.

There have been a few corrections, and I've fleshed out some log entries.

The following series is ready:

  [PATCH 01/13] build: remove redundant dependency: $(PROGRAMS):
  [PATCH 02/13] factor: prepare for the new factor program
  [PATCH 03/13] factor: new implementation; not yet integrated
  [PATCH 04/13] build: add rules to build the new factor program
  [PATCH 05/13] factor: improvements from
  [PATCH 06/13] factor: merge with preexisting factor, integrate
  [PATCH 07/13] maint: use __builtin_expect only if __GNUC__
  [PATCH 08/13] maint: syntax-check: add make-prime-list exemptions
  [PATCH 09/13] factor: 25% speed-up, on output
  [PATCH 10/13] build: avoid warning about unused macro
  [PATCH 11/13] maint: mark set-but-not-used variables with
  [PATCH 12/13] maint: avoid -Wsuggest-attribute=const warning
  [PATCH 13/13] maint: make-prime-list: do not ignore write failure

Torbjorn and Niels,

I'd be happy to include more fine-grained changes to factor.c
if you can convert the http://gmplib.org:8000/factoring commits
and ChangeLog deltas to git commits where the ChangeLog delta
appears in the commit log and passes coreutils' commit-log-checking hook.
But that may be more trouble than it's worth.

The only missing piece is a NEWS entry.
Would one of you please write that?